Name:           libason
Version:        0.1.2
Release:        2%{?dist}
Summary:        A library for manipulating ASON values

License:        GPLv3+
URL: https://github.com/sadmac7000/libason
Source0: https://sadmac.fedorapeople.org/libason-0.1.2.tar.xz
Patch0: doc-fix-install-hook.patch

BuildRequires:  lemon, readline-devel

%description
ASON is an extension of JSON which specifies a semantic, and allows for pattern
expressions that can specify or match groups of JSON values. libason is a
simple library for manipulating ASON programmatically in C.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1

%build
%configure --disable-static --disable-silent-rules
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

for i  in `find $RPM_BUILD_ROOT/%{_mandir} -type l`; do
	ln -f -r -s `readlink $i` $i
done

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc COPYING
%{_libdir}/*.so.*
%{_bindir}/asonq
%{_mandir}/man1/*

%files devel
%doc COPYING
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man3/*


%changelog
* Mon Oct 6 2014 Casey Dahlin <casey.dahlin@gmail.com> - 0.1.2-2
- Add --disable-silent-rules

* Thu Oct 2 2014 Casey Dahlin <casey.dahlin@gmail.com> - 0.1.2-1
- Update to latest upstream

* Sun Sep 28 2014 Casey Dahlin <casey.dahlin@gmail.com> - 0.1.1-1
- Initial packaging
